using InfrastructureModels
import Memento
import JSON

import JuMP

import Ipopt
import ECOS
import Juniper

const MOI = JuMP.MathOptInterface

ipopt_solver = JuMP.with_optimizer(Ipopt.Optimizer, print_level=0)
ecos_solver = JuMP.with_optimizer(ECOS.Optimizer, verbose=0)
juniper_solver = JuMP.with_optimizer(Juniper.Optimizer, nl_solver=ipopt_solver, log_levels=[])

import Random: seed!

using Test

# Suppress warnings during testing
InfrastructureModels.logger_config!("error")

include("common.jl")

@testset "InfrastructureModels Tests" begin

include("data.jl")

include("base.jl")

include("relaxation_scheme.jl")

end
